//! Tokio-based async client library for [Mercurial command server][].
//!
//! [Mercurial command server]: https://www.mercurial-scm.org/wiki/CommandServer

mod client;
pub mod codec;
mod connection;
pub mod message;
mod protocol;
mod runcommand;

#[cfg(unix)]
pub use self::client::UnixClient;
pub use self::client::{Client, PipeClient};
pub use self::connection::Connection;
pub use self::protocol::Protocol;
pub use self::runcommand::UiHandler;
